summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-03-11 01:40:52 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-03-11 01:40:52 +0000
commit1c3ce0a8107cda7182ca651f381928da1d774d3b (patch)
treec9cbdc5d2ec7bd8272da5348f339d79af9fd769f /dev-python
parent2cc194e39a853311b199bd795eb43bf022887869 (diff)
downloadbaldeagleos-repo-1c3ce0a8107cda7182ca651f381928da1d774d3b.tar.gz
baldeagleos-repo-1c3ce0a8107cda7182ca651f381928da1d774d3b.tar.xz
baldeagleos-repo-1c3ce0a8107cda7182ca651f381928da1d774d3b.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.21.16.ebuild62
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.24.16.ebuild67
-rw-r--r--dev-python/clang-python/clang-python-13.0.1.ebuild2
-rw-r--r--dev-python/fonttools/Manifest1
-rw-r--r--dev-python/fonttools/fonttools-4.30.0.ebuild58
-rw-r--r--dev-python/josepy/Manifest1
-rw-r--r--dev-python/josepy/josepy-1.13.0.ebuild29
-rw-r--r--dev-python/libvirt-python/libvirt-python-7.10.0.ebuild2
-rw-r--r--dev-python/libvirt-python/libvirt-python-7.7.0.ebuild2
-rw-r--r--dev-python/libvirt-python/libvirt-python-8.0.0.ebuild2
-rw-r--r--dev-python/libvirt-python/libvirt-python-8.1.0.ebuild2
-rw-r--r--dev-python/libvirt-python/libvirt-python-9999.ebuild2
-rw-r--r--dev-python/lit/lit-13.0.1.ebuild2
-rw-r--r--dev-python/pycollada/pycollada-0.7.2.ebuild2
-rw-r--r--dev-python/pynest2d/pynest2d-4.12.1.ebuild2
-rw-r--r--dev-python/rich/Manifest1
-rw-r--r--dev-python/rich/rich-12.0.0.ebuild41
-rw-r--r--dev-python/svg-path/svg-path-4.1.ebuild2
-rw-r--r--dev-python/trimesh/trimesh-3.10.2.ebuild2
-rw-r--r--dev-python/unidecode/Manifest1
-rw-r--r--dev-python/unidecode/unidecode-1.3.4.ebuild21
-rw-r--r--dev-python/uranium/uranium-4.12.1.ebuild2
-rw-r--r--dev-python/wrapt/Manifest1
-rw-r--r--dev-python/wrapt/wrapt-1.14.0.ebuild26
-rw-r--r--dev-python/xxhash/xxhash-3.0.0.ebuild2
27 files changed, 324 insertions, 13 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index ac797f90fa86..1cbc14dcc6c5 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -6,6 +6,7 @@ DIST boto3-1.20.54.tar.gz 468340 BLAKE2B 4b7406411200f7af7768c2ed213d623ff6ce607
DIST boto3-1.21.0.tar.gz 468664 BLAKE2B 7d118b2d91a7d8fa38c27a218fc2eb8e8964f0974ddbaf84b92a9bf2ada884738b22d603fe9665ee27191508ea916e1bb8aeaa2eafb43162b7bbf0c48424415e SHA512 b3f9831c43dd3223dd72daeb4aeba9483927913570ffaee7d2d19736dca4fe587cca8703e8ec887440bc0abba55c0094bc2cf824f3e1982b626af11acec18290
DIST boto3-1.21.1.tar.gz 469079 BLAKE2B c2a30539709c7c9741e3a34d5d352a31a0997cfadc29bb3b86c32c602229077414485b77c58718f2a519a5bb2ec8a3d7bfe1d6ef2daf26a8a4ae3c804c636464 SHA512 a94d195cbcee2b18877502eca9a79f231519f63712c7522ede23357d1117885e1fd2cce91d3698527d7f19140e08d68dd7272ef1278b9cbad86c77d81aa2661b
DIST boto3-1.21.15.tar.gz 476516 BLAKE2B 306c7ee69dec5ff1fbd76ed32aaebdf0f52cdc49df600562f49cd543e5f331c6dbf88001070022043b9fd01c651af83b1c8c0966292c90791831f2e9d9fc4a84 SHA512 9d431fcbdcd42658cd52094b97c151fd10a68f2c83a457dccdf7991c8358c17b32faa09e3941f6d6e72bad8cda1b93dcfae8d78585dae43790c0ec248f0ab15d
+DIST boto3-1.21.16.tar.gz 476669 BLAKE2B 5ff8130a168841cd885f1f3f4752a5362910f0fd3c0598bab9db6f36c91570b4ef2ef598c46ebc5af870d9a12f12343213d44786923b3e0388bcc929d51fbca9 SHA512 86abc6903761ef740e3144a70acc9c3ef6f06e980a81b5384f8ad382080e8a5865df4e84b04ad54d6160ac2e9b7e1ff088395508ceb80861177f55b3a4eeeaab
DIST boto3-1.21.2.tar.gz 469425 BLAKE2B a49c1280610bcb0564ad357570712224abdc032e807926be7bc0d0652503381b2b854e94ced12c95765f9c30ff62128ec0bff4d38d33e8a7a3d5a8d397de084b SHA512 bcd578c8b0665fc2951897d67279a7075d451a47cad70b59047c1cf66e26fd07f9f90ff8c69f9bc21038042dc6398944c02ebcc355dc8750d0613a11a0c3a2c6
DIST boto3-1.21.3.tar.gz 469833 BLAKE2B 97efa041762cbb1b2f493195ca680a6c1631c6f599c631ec33939295d41df03ff1faae2d9178e60a34343a9b2fba33759cbd3d07222e8fabdc923e1a7dc8464f SHA512 57552b96dad6694dc7df34a83fa3822843e9f912c92146e1d11e2bf66fc85c89624752207389a612fa672556a9a02d62af573cbc9c2e264a97e933eb7f18a728
DIST boto3-1.21.4.tar.gz 470233 BLAKE2B 3e6d8c5264ac66829e468633700e155ac935aae9fb148d892c90bb629699a4fd726f4e73aa399d98fafbffd71c215d141d682e49850f6d046a4513ab6dda8208 SHA512 2366cb0c415ee0497912a2369b3f3981562324556f5e7137d0b52069c63c778406802e2434bec122a047ac14dbdc44e51f6bc3c90fcee12d315aa30c21d45f0c
diff --git a/dev-python/boto3/boto3-1.21.16.ebuild b/dev-python/boto3/boto3-1.21.16.ebuild
new file mode 100644
index 000000000000..18b68d93f6ed
--- /dev/null
+++ b/dev-python/boto3/boto3-1.21.16.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 121446312686..6fe77b6497a8 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -6,6 +6,7 @@ DIST botocore-1.23.54.tar.gz 8766494 BLAKE2B 27af2f4575fc133a253a4fe0671375f0389
DIST botocore-1.24.0.tar.gz 8767222 BLAKE2B 9cdcb7677544230f006783d5a666c39c0ec27cf4f854f5dd47865ed8a42ad416b764e81e2b4b539c3a54934cf254f33ced562cd933cd2bd37c36dda0d16afe9b SHA512 1a60073f825cbbe50a8a45c1630391ee0c40646e520e60aef67698f121d1cc31ca5d9ff034ba5c05560193bf24438b5541e9b06c75b9d13888685565d01ff5b9
DIST botocore-1.24.1.tar.gz 8768807 BLAKE2B 649633afa85cab9fb248ed9907e2ea3e57aae7325f4f53271669fbb7fa3f6932ce693878905bfe09e1dd1102a05e4be9dec58f9d3f53778a759c5afd85be6e32 SHA512 192113e6d072897d6eead85d31f44ee3051ab4610718cbb7b49bfc1e1b884fda9b9f793445275d6ecd678fea12b789fa137c41d1effcafd2ab50cbce81a57927
DIST botocore-1.24.15.tar.gz 8820413 BLAKE2B 1a842d811b0471ee6881fc6fbae9726912636c9a83ed9e1395ae96705f6ef47cbb5d6b134a011da747951b7570e722af5a60c949e9301d509a79f431a797ca70 SHA512 d614d6f065a77e5d4dda9c8dbe401feae4e83398c5d2508b0807984fc8783b31cd6c507663c90a08daa5ccbf95b450633928599cd340227ab5dc90ea00fa1bbe
+DIST botocore-1.24.16.tar.gz 8820938 BLAKE2B 53e88eac6f0a0eff43b7f934d978e06d86debb5a99f112c576281978499d29627a5f8f0ca988ff05c8f24d08336d7a1bc0206037c8f0a89b2485b66af2b81294 SHA512 fac23333998ff790bc06829d576593f7031964d3399bd0cd71ffe160574ed98b88e64dc0cc84ca3eb04f6da130a8906d02f092e57d4074150e13611fbcacce33
DIST botocore-1.24.2.tar.gz 8770474 BLAKE2B ed0f5920ae29bc5d51ca5d304f3cc13feb3ca45667d397f77e982d283f1b5551eccdbf41c0e274f56c59cca3398e47c6790d97374f189d4a9411107b0fd7490c SHA512 93811544f756419d6a0a9f49dc836e8c580c7c8ab49f90a541f2f8a24203959976a974056a0953f4d137a19254059e25c356843fb5df91a6d752d23c004f0c34
DIST botocore-1.24.3.tar.gz 8770454 BLAKE2B 35c77a5a65a75844594673d3a1af23b087cf88ed7c61177a3f422d4261f907c9ccd1b3beb9eb6f67dcc23084b27078d49e34102ebaa2b868da8b19b1c6e677b4 SHA512 313a1a94b985641257b3ee6b7dbfab88fd28efbfcec2cee6e5826ee6e65b174892c9ad9afa2b46caa4b262feb1e731823875d8981c6bd092f5f423ad4cac9430
DIST botocore-1.24.4.tar.gz 8775103 BLAKE2B c23256daab72fd60dbc9c3cb665816970bb168d6e63e0d53bc16dbda6cdeec30a87a864a6a3107f104c3e9d7aabdd1bbe5e43105a8fccad606cf5ac250282738 SHA512 73a717b454ce715446e75852b37207691118106e45fd0484101527adbb7e9062d78b200bb650e183bb1a40c0a4d9b0e1c9cc8621e5b5c2d9e7a5de6d46c34297
diff --git a/dev-python/botocore/botocore-1.24.16.ebuild b/dev-python/botocore/botocore-1.24.16.ebuild
new file mode 100644
index 000000000000..94a3d0fe8785
--- /dev/null
+++ b/dev-python/botocore/botocore-1.24.16.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit} \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
diff --git a/dev-python/clang-python/clang-python-13.0.1.ebuild b/dev-python/clang-python/clang-python-13.0.1.ebuild
index 01c2b2d2ee8a..07439a6ee205 100644
--- a/dev-python/clang-python/clang-python-13.0.1.ebuild
+++ b/dev-python/clang-python/clang-python-13.0.1.ebuild
@@ -11,7 +11,7 @@ HOMEPAGE="https://llvm.org/"
LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~x86"
+KEYWORDS="amd64 ~arm arm64 ~x86"
IUSE="test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RESTRICT="!test? ( test )"
diff --git a/dev-python/fonttools/Manifest b/dev-python/fonttools/Manifest
index 09cda391d1cd..353ddc0f1f65 100644
--- a/dev-python/fonttools/Manifest
+++ b/dev-python/fonttools/Manifest
@@ -1,3 +1,4 @@
DIST fonttools-4.28.5.tar.gz 2948092 BLAKE2B b35f4be68cfc2be6afb209c2caee38f7088a1a17dea85fac0f40183b61a3eded59fab47f703587097669f8823a8dbc2e84b0df58305597784bed7f8c2e2b0f28 SHA512 5d87f4fadbcb447d1c1a1e97550f6a477d74bfe8647d14b35097e03e6a45a1a01632d2092483d675c523f97d4a04f39aa9b3175e535b1e1a4f19d619eb40ad5f
DIST fonttools-4.29.0.tar.gz 2954211 BLAKE2B 47b7228b2f0f7332f54df58d8be8289b9bc3a737caa57ffafe9a8467e4d7e35db153f7e02caf8c6129af8dbb2bc18689af3f3122b0be7afee19bece83c846aad SHA512 0573970ceaf43e4987eee970aa93a6aba5af2b592b5d92a1aec36b102cb1967f380f8170f7a14bb80cd6348ef09737ac17a0f82eaa1ad73f9f5e246271d34b32
DIST fonttools-4.29.1.tar.gz 2954962 BLAKE2B e78a55e240975e12e9cfd56368eab0d18e104211d8416db833a20208c78f6e5dbce2d24d7338017882f0bd1c3c181c0af0c069025a750cba4e9f41c1b4b2489c SHA512 36f4272be18d19748069289bfb3d3339cf0b16967a12976971f9e2dd56a1e915d3176e0dd9cad08cee69b20f3d6ac1a966365d936bb091b39e23b6c693e28dc9
+DIST fonttools-4.30.0.tar.gz 2961097 BLAKE2B 23b592daa16fd215688f149d99258209b819caa843d26c889fb4016aae6d6614a9f87dd13fa1d2aa254fadb5169cf7d57ba02b7b15af79611995148d698ca2ec SHA512 2b4e676f956c3456bf3ca435a7d80e1a0a9f36872ba3a820072d1e13ed5751a8546f424369731afd4ccddc298ec0658bb4384d2e18670b108dd1b3a99fc205f4
diff --git a/dev-python/fonttools/fonttools-4.30.0.ebuild b/dev-python/fonttools/fonttools-4.30.0.ebuild
new file mode 100644
index 000000000000..0597adaf64a8
--- /dev/null
+++ b/dev-python/fonttools/fonttools-4.30.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Library for manipulating TrueType, OpenType, AFM and Type1 fonts"
+HOMEPAGE="https://github.com/fonttools/fonttools/"
+SRC_URI="https://github.com/fonttools/fonttools/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+
+RDEPEND=">=dev-python/fs-2.4.9[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ app-arch/brotli[python,${PYTHON_USEDEP}]
+ app-arch/zopfli
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # When dev-python/pytest-shutil is installed, we get weird import errors.
+ # This is due to incomplete nesting in the Tests/ tree:
+ #
+ # Tests/feaLib/__init__.py
+ # Tests/ufoLib/__init__.py
+ # Tests/svgLib/path/__init__.py
+ # Tests/otlLib/__init__.py
+ # Tests/varLib/__init__.py
+ #
+ # This tree requires an __init__.py in Tests/svgLib/ too, bug #701148.
+ touch Tests/svgLib/__init__.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+src_configure() {
+ export FONTTOOLS_WITH_CYTHON=1
+}
+
+src_test() {
+ # virtualx used when matplotlib is installed causing plot module tests to run
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ epytest Tests fontTools || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/josepy/Manifest b/dev-python/josepy/Manifest
index c8f19aa22a73..2c23eee22357 100644
--- a/dev-python/josepy/Manifest
+++ b/dev-python/josepy/Manifest
@@ -1 +1,2 @@
DIST josepy-1.12.0.tar.gz 59205 BLAKE2B 3ead71c2eb60a9bcc45615f85435f616bf6fe16c75d7e34ae5bd0f418b5b71b6ea03388198a371765e497aa29419efd9fbb2615d4546a5a8a9704acf7c9a70dd SHA512 7a5257d4a75feed65ff3abfd472e8f1c9cc81b62e27365d776d0f25e1efd94ae46374060ea463b9f04fe5e9577672bf2ab8dc8d6371cb8d01a4765921930e01b
+DIST josepy-1.13.0.tar.gz 59045 BLAKE2B e4f3caed3be0775a49d6a9c38bf6e2b61ecc50b4e3804afa9e597b741821ab63a27fe95d1592531fee7152e2076760d838f4efa50ab8b3e2f1e129c9d7457f8c SHA512 fb91946ac4bbb2a81195d200e4fdf06d40865b345005ab4ee328fd72545da2345b44c5b9ffb3115b16ffed65ab3a0c01d5b20d0d2ff3c2c2af30537a6a4721df
diff --git a/dev-python/josepy/josepy-1.13.0.ebuild b/dev-python/josepy/josepy-1.13.0.ebuild
new file mode 100644
index 000000000000..503c14612853
--- /dev/null
+++ b/dev-python/josepy/josepy-1.13.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="JOSE protocol implementation in Python"
+HOMEPAGE="https://github.com/certbot/josepy"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/cryptography-0.8[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # Remove coverage/flake8 options
+ sed -e '/^addopts =/d' -e '/^flake8-ignore/d' -i pytest.ini || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/libvirt-python/libvirt-python-7.10.0.ebuild b/dev-python/libvirt-python/libvirt-python-7.10.0.ebuild
index 317683866a11..8f3c935f52eb 100644
--- a/dev-python/libvirt-python/libvirt-python-7.10.0.ebuild
+++ b/dev-python/libvirt-python/libvirt-python-7.10.0.ebuild
@@ -13,7 +13,7 @@ inherit distutils-r1 verify-sig
if [[ ${PV} = *9999* ]]; then
inherit git-r3
- EGIT_REPO_URI="https://libvirt.org/git/libvirt-python.git"
+ EGIT_REPO_URI="https://gitlab.com/libvirt/libvirt-python.git"
RDEPEND="app-emulation/libvirt:=[-python(-)]"
else
SRC_URI="https://libvirt.org/sources/python/${MY_P}.tar.gz
diff --git a/dev-python/libvirt-python/libvirt-python-7.7.0.ebuild b/dev-python/libvirt-python/libvirt-python-7.7.0.ebuild
index 4dcf1c157642..6d3f5ee1a014 100644
--- a/dev-python/libvirt-python/libvirt-python-7.7.0.ebuild
+++ b/dev-python/libvirt-python/libvirt-python-7.7.0.ebuild
@@ -13,7 +13,7 @@ inherit distutils-r1 verify-sig
if [[ ${PV} = *9999* ]]; then
inherit git-r3
- EGIT_REPO_URI="https://libvirt.org/git/libvirt-python.git"
+ EGIT_REPO_URI="https://gitlab.com/libvirt/libvirt-python.git"
RDEPEND="app-emulation/libvirt:=[-python(-)]"
else
SRC_URI="https://libvirt.org/sources/python/${MY_P}.tar.gz
diff --git a/dev-python/libvirt-python/libvirt-python-8.0.0.ebuild b/dev-python/libvirt-python/libvirt-python-8.0.0.ebuild
index 0411e59724b6..18e75ba86cb1 100644
--- a/dev-python/libvirt-python/libvirt-python-8.0.0.ebuild
+++ b/dev-python/libvirt-python/libvirt-python-8.0.0.ebuild
@@ -13,7 +13,7 @@ inherit distutils-r1 verify-sig
if [[ ${PV} = *9999* ]]; then
inherit git-r3
- EGIT_REPO_URI="https://libvirt.org/git/libvirt-python.git"
+ EGIT_REPO_URI="https://gitlab.com/libvirt/libvirt-python.git"
RDEPEND="app-emulation/libvirt:=[-python(-)]"
else
SRC_URI="https://libvirt.org/sources/python/${MY_P}.tar.gz
diff --git a/dev-python/libvirt-python/libvirt-python-8.1.0.ebuild b/dev-python/libvirt-python/libvirt-python-8.1.0.ebuild
index 0411e59724b6..18e75ba86cb1 100644
--- a/dev-python/libvirt-python/libvirt-python-8.1.0.ebuild
+++ b/dev-python/libvirt-python/libvirt-python-8.1.0.ebuild
@@ -13,7 +13,7 @@ inherit distutils-r1 verify-sig
if [[ ${PV} = *9999* ]]; then
inherit git-r3
- EGIT_REPO_URI="https://libvirt.org/git/libvirt-python.git"
+ EGIT_REPO_URI="https://gitlab.com/libvirt/libvirt-python.git"
RDEPEND="app-emulation/libvirt:=[-python(-)]"
else
SRC_URI="https://libvirt.org/sources/python/${MY_P}.tar.gz
diff --git a/dev-python/libvirt-python/libvirt-python-9999.ebuild b/dev-python/libvirt-python/libvirt-python-9999.ebuild
index 317683866a11..8f3c935f52eb 100644
--- a/dev-python/libvirt-python/libvirt-python-9999.ebuild
+++ b/dev-python/libvirt-python/libvirt-python-9999.ebuild
@@ -13,7 +13,7 @@ inherit distutils-r1 verify-sig
if [[ ${PV} = *9999* ]]; then
inherit git-r3
- EGIT_REPO_URI="https://libvirt.org/git/libvirt-python.git"
+ EGIT_REPO_URI="https://gitlab.com/libvirt/libvirt-python.git"
RDEPEND="app-emulation/libvirt:=[-python(-)]"
else
SRC_URI="https://libvirt.org/sources/python/${MY_P}.tar.gz
diff --git a/dev-python/lit/lit-13.0.1.ebuild b/dev-python/lit/lit-13.0.1.ebuild
index 8b3890d5a6cf..477696528725 100644
--- a/dev-python/lit/lit-13.0.1.ebuild
+++ b/dev-python/lit/lit-13.0.1.ebuild
@@ -13,7 +13,7 @@ HOMEPAGE="https://llvm.org/"
LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+KEYWORDS="amd64 arm arm64 ~ppc ~ppc64 ~riscv ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/pycollada/pycollada-0.7.2.ebuild b/dev-python/pycollada/pycollada-0.7.2.ebuild
index 063c6c9a2a29..2d3dab82c511 100644
--- a/dev-python/pycollada/pycollada-0.7.2.ebuild
+++ b/dev-python/pycollada/pycollada-0.7.2.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 ~arm64 ~x86"
IUSE="examples"
RDEPEND="
diff --git a/dev-python/pynest2d/pynest2d-4.12.1.ebuild b/dev-python/pynest2d/pynest2d-4.12.1.ebuild
index f98659be2471..1b5466c2ad6a 100644
--- a/dev-python/pynest2d/pynest2d-4.12.1.ebuild
+++ b/dev-python/pynest2d/pynest2d-4.12.1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://github.com/Ultimaker/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="LGPL-3"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 ~arm64 ~x86"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
diff --git a/dev-python/rich/Manifest b/dev-python/rich/Manifest
index 104886592c17..2851c3184cf2 100644
--- a/dev-python/rich/Manifest
+++ b/dev-python/rich/Manifest
@@ -1,3 +1,4 @@
DIST rich-10.16.2.tar.gz 16282443 BLAKE2B ccc7292e265770880539d6a1a6b2e819b45e2e3d4d152f1a16c56f2da74c9a472ae49ea0a4a677ad71c4dd087fade2c415484073b4b2cd86869ad7c43c32b162 SHA512 9cb8b0c8105589db22d7efdc47cbfa20531cd184f07855db4bfafb667299c7d3e520b19e3b33e7818affb7a5674805849ee9f2e770927e285ccd7f4f838982c3
DIST rich-11.1.0.gh.tar.gz 16295117 BLAKE2B 1d326edea18b1eaad633665c2e50aa789f9eba19ee9b4cb50b94a160a69d12604fdf87d57ffbc903835b6e1e745fe17e0c521801b515ae73c8a44bf9ef17b6c2 SHA512 9da2015a66e0924bdd04deebd8fe8e963151d0a912f78320f8de8e61d656a693595c4feb0ce2436610602308d690ed96c8d10b5c81a9fc12a350b2e40907dbcb
DIST rich-11.2.0.gh.tar.gz 16300346 BLAKE2B 520f512a7e26613a4cc881834f8c150963b84a6dc3a43029dde6d64d1e405d82422b9c6f0098293b6f9bdb55749c7929426dad14840c9a287889c1a6a70f6bf2 SHA512 ec1178a6a320a48f589ead5163e974725f79ae63ddf9a2deb66400e43619ade8d366dbef6b524e66e603647a957b8e26266845a0bcb85912fd9ad2a81dd92f5e
+DIST rich-12.0.0.gh.tar.gz 14727980 BLAKE2B b9f7761ab1084765f804fd22f9fb18e659f91b917bb452217752683f6d61320d2703eee28de3be3bd70009fc06d04165528393c4c0ec32a49b1dc7e94989a224 SHA512 4e47e48709180ef844bcf1cd516b22de8a4f22c5121ca0582a2cff7297d97afe63232926d518cd2bf4d6d1a7cea362ab12e71eedacce6b6d378ef1a1528d9e4c
diff --git a/dev-python/rich/rich-12.0.0.ebuild b/dev-python/rich/rich-12.0.0.ebuild
new file mode 100644
index 000000000000..e7518f2f5ef7
--- /dev/null
+++ b/dev-python/rich/rich-12.0.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python library for renrering rich text, tables, etc. to the terminal"
+HOMEPAGE="https://github.com/Textualize/rich"
+SRC_URI="
+ https://github.com/Textualize/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/commonmark[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # check for exact color render string, which changes across pygments bumps
+ tests/test_syntax.py::test_python_render
+ tests/test_syntax.py::test_python_render_simple
+ tests/test_syntax.py::test_python_render_indent_guides
+ )
+ epytest -p no:pytest-qt
+}
+
+pkg_postinst() {
+ optfeature "integration with HTML widgets for Jupyter" dev-python/ipywidgets
+}
diff --git a/dev-python/svg-path/svg-path-4.1.ebuild b/dev-python/svg-path/svg-path-4.1.ebuild
index 6fc2ebb30ba2..57a5ef895fcc 100644
--- a/dev-python/svg-path/svg-path-4.1.ebuild
+++ b/dev-python/svg-path/svg-path-4.1.ebuild
@@ -18,6 +18,6 @@ S="${WORKDIR}/${MY_P}"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 ~arm64 ~x86"
distutils_enable_tests setup.py
diff --git a/dev-python/trimesh/trimesh-3.10.2.ebuild b/dev-python/trimesh/trimesh-3.10.2.ebuild
index ffcb55f7aacc..c0298ef16468 100644
--- a/dev-python/trimesh/trimesh-3.10.2.ebuild
+++ b/dev-python/trimesh/trimesh-3.10.2.ebuild
@@ -18,7 +18,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 ~arm64 ~x86"
RDEPEND="
dev-python/chardet[${PYTHON_USEDEP}]
diff --git a/dev-python/unidecode/Manifest b/dev-python/unidecode/Manifest
index 8ab7d02338a4..a537f8f5171f 100644
--- a/dev-python/unidecode/Manifest
+++ b/dev-python/unidecode/Manifest
@@ -1,2 +1,3 @@
DIST Unidecode-1.3.0.tar.gz 191814 BLAKE2B ca995b91d802eff3dc07b78359f73a5b44d0197ba522d43c7cbe36c85682c20e943214d671ac2203829196d472456f853ad0988d21fa2e568b13ef865932bed6 SHA512 98682ce5c844bfb74466d0c4c16cb74b358f50ce7fc8ca8dd56836d1b8745cb5c78692b8027ff9caf59394df6050ae2f36f888bb95ef8fc7c84cabe2a596b185
DIST Unidecode-1.3.3.tar.gz 192050 BLAKE2B 74fe777ad25e78357499ed80f3cd9e43ef42d0a08e3b14e4916c57d43e0e296c6852722f84a3fd1c57911f7d97962cbe12043e3b68adad15d785793912ec53ed SHA512 1c42f2530fa68c56ded097a92b580a3b1c223c957711778b81dd92c8543068a76a87379db7fbe4d2dcb6a9a6c2fc2aef28ed950e0c07d411ae2891c00a8ffea7
+DIST Unidecode-1.3.4.tar.gz 192346 BLAKE2B 34edea805896022fa42f47929a55ba01850475cb49431c4c50329caa2f198455704224320887ac7dcad5fba3517ab42cafc8ade726e785be0d0141814a5ad455 SHA512 bdbf482abd0d93ea8d891b95aea9f95cca6f85dbe71cd2bef4664216b3aa1d672c2f4ecf3b8bf356cdb1d8e4a1141c296728498473d9d0067d9774d0a7de8d48
diff --git a/dev-python/unidecode/unidecode-1.3.4.ebuild b/dev-python/unidecode/unidecode-1.3.4.ebuild
new file mode 100644
index 000000000000..5c6a08536a69
--- /dev/null
+++ b/dev-python/unidecode/unidecode-1.3.4.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+MY_P=Unidecode-${PV}
+DESCRIPTION="Module providing ASCII transliterations of Unicode text"
+HOMEPAGE="https://pypi.org/project/Unidecode/"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${PN^}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+distutils_enable_tests unittest
diff --git a/dev-python/uranium/uranium-4.12.1.ebuild b/dev-python/uranium/uranium-4.12.1.ebuild
index a1277d266678..b171005ed650 100644
--- a/dev-python/uranium/uranium-4.12.1.ebuild
+++ b/dev-python/uranium/uranium-4.12.1.ebuild
@@ -17,7 +17,7 @@ SRC_URI="https://github.com/Ultimaker/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.
LICENSE="LGPL-3"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 ~arm64 ~x86"
IUSE="debug doc test"
BDEPEND="${PYTHON_DEPS}
diff --git a/dev-python/wrapt/Manifest b/dev-python/wrapt/Manifest
index 91be8a8bfa8f..f10df7dc2acb 100644
--- a/dev-python/wrapt/Manifest
+++ b/dev-python/wrapt/Manifest
@@ -1,2 +1,3 @@
DIST wrapt-1.12.1.tar.gz 126750 BLAKE2B 92aba2d400aa626445be68fdda2831132e1c341a2f20065b3d7071a2ebc174cb9de7e6a20a8375360cf7df181881fd20b7b2f70dbfdf533e8823982eeaa722f5 SHA512 33e964cb3aa2437bc7d084a98f622f7c5c8c719d97806796ae0317d35130bdb2679a9dd87be7077e2cae1eb32b65d152349fa7cc138cb392d5999cbfdcecc9ac
DIST wrapt-1.13.2.tar.gz 130624 BLAKE2B 7ad74653208042326630ae4464494fcdd5299b35a42d495a16a3cbd68bb60fe5ea17f3e95eac85d98142fe339a593a8cda7e3182ce2a6e96f6ba2bb204a1fc46 SHA512 14648465745af7972ffd449783a24a4b5bf8187cbee517d3427825409bd5d073e3153a0c61f5583b84fc6ca2c48479ebf112977ce340369019a617559d09dfc0
+DIST wrapt-1.14.0.tar.gz 133565 BLAKE2B 7548183c4b0b566df3a96cb309b44975a633976f6b56a332d87587dbce5bfaf80cbbfc692ef163118794c1d8e44995ef4750748990ab3e6f5f87968df44f02aa SHA512 ef31279873688208bb17d875a3bbdba3d506f5d9febeae28f1bdb740830395d86aa21dcbe747d592f098b745e5a599c352e122a642f923eab0eb39a30f19695d
diff --git a/dev-python/wrapt/wrapt-1.14.0.ebuild b/dev-python/wrapt/wrapt-1.14.0.ebuild
new file mode 100644
index 000000000000..2979fbcd4e07
--- /dev/null
+++ b/dev-python/wrapt/wrapt-1.14.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Module for decorators, wrappers and monkey patching"
+HOMEPAGE="https://github.com/GrahamDumpleton/wrapt"
+SRC_URI="https://github.com/GrahamDumpleton/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs dev-python/sphinx_rtd_theme
+
+python_compile() {
+ local WRAPT_EXTENSIONS=true
+
+ distutils-r1_python_compile
+}
diff --git a/dev-python/xxhash/xxhash-3.0.0.ebuild b/dev-python/xxhash/xxhash-3.0.0.ebuild
index e07ab9c3fb01..c91d19063ebb 100644
--- a/dev-python/xxhash/xxhash-3.0.0.ebuild
+++ b/dev-python/xxhash/xxhash-3.0.0.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 ~arm64 ~x86"
RDEPEND=">=dev-libs/xxhash-0.8.0"
DEPEND="${RDEPEND}"